Name:           sugar-clock
Version:        15
Release:        4%{?dist}
Summary:        Clock activity for Sugar

Group:          Sugar/Activities
License:        GPLv3+
URL:            http://wiki.laptop.org/go/Clock
Source0:        http://download.sugarlabs.org/sources/honey/Clock/Clock-%{version}.tar.bz2
BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  python
BuildRequires:  sugar-toolkit

Requires:       gstreamer-python
Requires:       sugar


%description
This activity displays time in analog, digital, and "natural" forms.
The "natural" form will be an image of a sun or moon arcing across
the sky, rising and setting as the day progresses. This is more than
a simple clock; the user will be able to grab any element and readjust
it, which will update each of the other elements. In this manner,
hopefully the children can explore and understand different methods of
telling time. 


%prep
%setup -q -n Clock-%{version}

%build
python ./setup.py build


%install
python ./setup.py install --prefix=%{buildroot}/%{_prefix}
%find_lang tv.alterna.Clock


%files -f tv.alterna.Clock.lang
%doc NEWS README
%{sugaractivitydir}/Clock.activity/


%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Oct 17 2013 Peter Robinson <pbrobinson@fedoraproject.org> 15-3
- Add gstreamer-python runtime dependency

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun May 26 2013 Peter Robinson <pbrobinson@fedoraproject.org> 15-1
- Release 15

* Wed May 22 2013 Peter Robinson <pbrobinson@fedoraproject.org> 14-1
- Release 14

* Tue May 21 2013 Peter Robinson <pbrobinson@fedoraproject.org> 13-1
- Release 13

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Dec 16 2012 Peter Robinson <pbrobinson@fedoraproject.org> 12-1
- Release 12

* Sun Nov  4 2012 Peter Robinson <pbrobinson@fedoraproject.org> 11-1
- Release 11

* Fri Oct  5 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 10-1
- Release 10

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat May  5 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 8-1
- Release 8

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct  5 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 7-1
- Release 7

* Sat Jun  4 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 6-1
- Update to v6

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 5-4
- recompiling .py files against Python 2.7 (rhbz#623366)

* Mon Dec 14 2009 Peter Robinson <pbrobinson@fedoraproject.org> - 5-3
- Add buildreq gettext to fix build issues on F-12/rawhide - fixes # 538921

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 14 2009 Fabian Affolter <fabian@bernewireless.net> - 5-1
- Updated to new upstream version 5
- Removed all vcs checkout stuff 

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.20090207
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 07 2009 Fabian Affolter <fabian@bernewireless.net> - 0-0.2.20090207
- Fixed version and release

* Mon Jan 26 2009 Fabian Affolter <fabian@bernewireless.net> - 20090126-1
- Initial package for Fedora
